# Varbase Updates Helper

Provides a UI to review Varbase Updates that are made available in every version.

## Varbase Updates Helper Module <a href="#varbase-tour-module" id="varbase-tour-module"></a>

{% hint style="info" %}
Varbase update helper features are bundled through the **Varbase Update Helper** module as part of the **Varbase Core** module.\
GitHub: <https://github.com/Vardot/varbase_core>\
Drupal.org: <https://www.drupal.org/project/varbase_core>

After building a project using the `varbase-project` template, you can see the code of the **Varbase Update Helper** module in:
{% endhint %}

```
project_directory
|-- docroot
    |-- modules
        |-- contrib
            |-- varbase_core
                |-- modules
                    |-- varbase_update_helper
```

Brings in the following core and contributed modules to your site:

| Module                                                                      | Purpose                                                           |
| --------------------------------------------------------------------------- | ----------------------------------------------------------------- |
| [**Checklist API**](https://www.drupal.org/project/checklistapi)            | Provides an API for creating fillable, persistent checklists.     |
| [**Update helper**](https://www.drupal.org/project/update_helper)           | Helper tool for generation and applying of configuration updates. |
| [**Update Helper Checklist**](https://www.drupal.org/project/update_helper) | Provide integration of Update Helper module with checklist.       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/9.0.x/developers/understanding-varbase/development-components/varbase-updates-helper.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
